View Issue Details

IDProjectCategoryView StatusLast Update
00297782.x IDE BugsDnD EditorPublic2019-01-31 12:33
ReporterMark AlexanderAssigned ToAlexander Borup 
PriorityHighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.4 
Target Version2.2.2Fixed in Version2.2.2 
Summary0029778: DnD Actions: Using object indices in a switch results in an error
DescriptionIf you add a switch action in DnD and as the value to check you set the "object_index", you would expect to be able to use object index names as Case arguments, however this is not the case and these are flagged as errors and in the live preview code the cases are empty. In GML the usage would be like this:

switch (object_index)
{
case oPlayer: // do something
break;
case oStar: // do something
break;
//etc...
}

But that's impossible to do in DnD currently.
Steps To ReproduceSee the Draw Event of the object oLighting for an example of the error.
TagsNo tags attached.
2.x IDE Found In2.1.4.295
2.x Runtime Found In2.1.4.218
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.2.302

Activities

Mark Alexander

2018-07-10 13:02

Developer  

YoYo Platform DND Switch Bug.yyz (2,472,964 bytes)

Alexander Borup

2018-12-14 09:39

Developer   ~0062237

Fixed some months back

Dan

2018-12-31 12:04

Adminstrator   ~0062324

Probably means this is fine in 2.2.1, but will assume 2.2.2 for verification.